Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp
Class IMPWorkbench

    java.lang.Object
      de.grogra.pf.ui.Workbench
          de.grogra.imp.IMPWorkbench

All Implemented Interfaces:
  RegistryContext, Context, java.awt.datatransfer.ClipboardOwner, java.util.EventListener, javax.swing.event.TreeModelListener

    public final class IMPWorkbench

extends Workbench
implements javax.swing.event.TreeModelListener

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.pf.ui.Workbench
`Workbench.Loader`

Field Summary

Fields inherited from class de.grogra.pf.ui.Workbench
`CURRENT_DIRECTORY, GUI_INFO, INITIAL_LAYOUT, LAST_FILES, SOFT_GUI_INFO, START_AS_DEMO, TIMER`

Constructor Summary
`IMPWorkbench(Registry registry, Map initParams)`

Method Summary
`void` | `addConnection(Connection cx)`
`static IMPWorkbench` | `get(Context ctx)`
`Connection[]` | `getConnections()`
`Workbench` | `getMainWorkbench()`
`Item` | `getRegistryItem(java.lang.String item)`
`Window` | `getWindow()` Determines the window of this GUI context.
`Workbench` | `open(FilterSource fs, Map initParams)`
`void` | `removeConnection(Connection cx)`
`void` | `treeNodesChanged(javax.swing.event.TreeModelEvent e)`
`void` | `treeNodesInserted(javax.swing.event.TreeModelEvent e)`
`void` | `treeNodesRemoved(javax.swing.event.TreeModelEvent e)`
`void` | `treeStructureChanged(javax.swing.event.TreeModelEvent e)`

Methods inherited from class de.grogra.pf.ui.Workbench
`addStatusChangeListener, addToLastUsed, beginStatus, chooseFile, chooseFileToOpen, chooseFileToSave, clearProgress, clearStatusAndProgress, copy, current, current, cut, delete, export, export, get, getChartPanel, getComponent, getFile, getJobManager, getLogger, getName, getPanel, getProperty, getRegistry, getState, getToolkit, getWorkbench, ignoreIfModified, initializeWindow, isCopyEnabled, isCutEnabled, isDeleteEnabled, isHeadless, isModified, isWorkbenchThread, log, logGUIInfo, logGUIInfo, logInfo, logInfo, lostOwnership, open, openAsDemo, openRecent, paste, readObject, readObject, refreshJEdit, refreshJEdit, refreshLastUsed, removeStatusChangeListener, runAsCurrent, save, save, saveAs, saveAs, select, setCurrent, setFile, setIndeterminateProgress, setModified, setModified, setName, setProgress, setProperty, setStatus, setStatus, setStatusClearProgress, showAboutAppDialog, showAboutPluginDialog, showConfigurationDialog, showConfigurationDialog, showViewerPanel, showViewerPanel, undo, undo, updateName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IMPWorkbench

    public IMPWorkbench(Registry registry,
                        Map initParams)

Method Detail

### addConnection

    public void addConnection(Connection cx)

### get

    public static IMPWorkbench get(Context ctx)

### getConnections

    public Connection[] getConnections()

### getMainWorkbench

    public Workbench getMainWorkbench()

  Specified by:
    `getMainWorkbench` in class `Workbench`

### getRegistryItem

    public Item getRegistryItem(java.lang.String item)

### getWindow

    public Window getWindow()

  Description copied from interface: `Context`
  Determines the window of this GUI context.

  Specified by:
    `getWindow` in interface `Context`
  Returns:
    this context's window

### open

    public Workbench open(FilterSource fs,
                          Map initParams)

  Specified by:
    `open` in class `Workbench`

### removeConnection

    public void removeConnection(Connection cx)

### treeNodesChanged

    public void treeNodesChanged(javax.swing.event.TreeModelEvent e)

  Specified by:
    `treeNodesChanged` in interface `javax.swing.event.TreeModelListener`

### treeNodesInserted

    public void treeNodesInserted(javax.swing.event.TreeModelEvent e)

  Specified by:
    `treeNodesInserted` in interface `javax.swing.event.TreeModelListener`

### treeNodesRemoved

    public void treeNodesRemoved(javax.swing.event.TreeModelEvent e)

  Specified by:
    `treeNodesRemoved` in interface `javax.swing.event.TreeModelListener`

### treeStructureChanged

    public void treeStructureChanged(javax.swing.event.TreeModelEvent e)

  Specified by:
    `treeStructureChanged` in interface `javax.swing.event.TreeModelListener`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD